> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Query SalesOrders Tracking Info.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/SalesOrders/GetSalesOrdersTrackingInfo
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/SalesOrders/GetSalesOrdersTrackingInfo:
    get:
      tags:
        - SalesOrders
      summary: Query SalesOrders Tracking Info.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SalesOrderTrackingInfoResponseDTODynamicQueryPagedDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SalesOrderTrackingInfoResponseDTODynamicQueryPagedDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SalesOrderTrackingInfoResponseDTODynamicQueryPagedDTO
components:
  schemas:
    SalesOrderTrackingInfoResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderTrackingInfoResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    SalesOrderTrackingInfoResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
          nullable: true
        referenceNumber:
          type: string
          nullable: true
        state:
          $ref: '#/components/schemas/SalesOrderState'
        createdAt:
          type: string
          format: date-time
          nullable: true
        shippingInfo:
          $ref: '#/components/schemas/TrackingInfoOfSalesOrderResponseDTO'
        packages:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderTrackingInfoPackageResponseDTO'
          nullable: true
      additionalProperties: false
    SalesOrderState:
      enum:
        - Cancelled
        - Created
        - Picked
        - Packed
        - ReadyToBeShipped
        - Shipped
        - Delivered
      type: string
    TrackingInfoOfSalesOrderResponseDTO:
      type: object
      properties:
        shippingCompany:
          type: string
          nullable: true
        shippingTrackingId:
          type: string
          nullable: true
        shippingState:
          type: string
          nullable: true
        shipmentTrackingLinkUrl:
          type: string
          nullable: true
        rmaShippingCompany:
          type: string
          nullable: true
        rmaNumbers:
          type: string
          nullable: true
      additionalProperties: false
    SalesOrderTrackingInfoPackageResponseDTO:
      type: object
      properties:
        referenceNumber:
          type: string
          nullable: true
        state:
          $ref: '#/components/schemas/PackageState'
        shippingInfo:
          $ref: '#/components/schemas/TrackingInfoOfSalesOrderResponseDTO'
      additionalProperties: false
    PackageState:
      enum:
        - Cancelled
        - Created
        - Picked
        - Packed
        - ReadyToBeShipped
        - Shipped
        - Delivered
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````